"""create board, cells

Revision ID: 550def037bb7
Revises: 6749bbbf4946
Create Date: 2021-07-31 08:42:45.041932

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '550def037bb7'
down_revision = '6749bbbf4946'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'board',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_table(
        'cell',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column(
            'col_name',
            sa.Enum('A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'K',
                    name='columnname'),
            nullable=False
        ),
        sa.Column(
            'row_name',
            sa.Enum('One', 'Two', 'Three', 'Four', 'Five',
                    'Six', 'Seven', 'Eight', 'Nine', 'Ten',
                    name='rowname'),
            nullable=False
        ),
        sa.Column(
            'content',
            sa.Enum('EMPTY', 'CROSS', 'ZERO', 'DEAD_CROSS', 'DEAD_ZERO',
                    name='cellcontent'),
            nullable=False
        ),
        sa.Column('board_id', sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(['board_id'], ['board.id'], ),
        sa.PrimaryKeyConstraint('id'),
        sa.UniqueConstraint('board_id', 'row_name', 'col_name')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('cell')
    op.drop_table('board')
    # ### end Alembic commands ###
